[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [FC3] YUM not resolving dependencies?



On Fri, 24 Jun 2005 22:34:09 -0500, M.Lewis wrote:

> Alexander Dalloz wrote:
> > Am Sa, den 25.06.2005 schrieb M.Lewis um 4:12:
> > 
> > 
> >>I'm trying to install razor-agents. Yum doesn't seem to be wanting to 
> >>resolve the dependencies. Am I missing something?
> > 
> > 
> >>Mike
> > 
> > 
> >>[root moe yum.repos.d]# yum install razor-agents
> > 
> > 
> >>--> Populating transaction set with selected packages. Please wait.
> >>---> Package razor-agents.i386 0:2.40-1.1.fc3.rf set to be updated
> >>--> Running transaction check
> >>--> Processing Dependency: perl-Razor-Agent = 2.40-1.1.fc3.rf for 
> >>package: razor-agents
> >>--> Finished Dependency Resolution
> >>Error: Missing Dependency: perl-Razor-Agent = 2.40-1.1.fc3.rf is needed 
> >>by package razor-agents
> > 
> > 
> > Both packages are there: http://dag.wieers.com/packages/razor-agents/.
> > 
> > Alexander
> > 
> 
> Thanks Alexander. I have no doubt the packages are there. I can see 
> them. The question is if their are dependencies, then why didn't yum 
> resolve them and download the required files.

Most likely because you have Fedora Extras enabled, which contains the
newer perl-Razor-Agent-2.71-1.fc3, which fixes a vulnerability, whereas
the version one of your dependencies need is an old one. When solving
dependencies automatically, Yum only sees the most recent version of a
package and hence doesn't see perl-Razor-Agent = 2.40-1.1.fc3.rf

-- 
Michael Schwendt <mschwendt users sf net>
Fedora Core release 4 (Stentz) - Linux 2.6.11-1.1369_FC4
loadavg: 1.17 1.21 1.10


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]